aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObjectVersion

# Documentation

data DeleteObjectVersion #

Constructors

DeleteObjectVersion |

Fields

- dovObjectName :: Text
- dovBucket :: Bucket
- dovVersionId :: Text

#### Instances

Instances details

SignQuery DeleteObjectVersion # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ServiceConfiguration DeleteObjectVersion |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ServiceConfiguration DeleteObjectVersion = S3Configuration

Methods

signQuery :: DeleteObjectVersion -> ServiceConfiguration DeleteObjectVersion queryType -> SignatureData -> SignedQuery #

Show DeleteObjectVersion # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion Methods showsPrec :: Int -> DeleteObjectVersion -> ShowS # show :: DeleteObjectVersion -> String # showList :: [DeleteObjectVersion] -> ShowS #
ResponseConsumer DeleteObjectVersion DeleteObjectVersionResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ResponseMetadata DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjectVersion -> IORef (ResponseMetadata DeleteObjectVersionResponse) -> HTTPResponseConsumer DeleteObjectVersionResponse #

Transaction DeleteObjectVersion DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion
type ServiceConfiguration DeleteObjectVersion # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ServiceConfiguration DeleteObjectVersion = S3Configuration

deleteObjectVersion :: Bucket -> Text -> Text -> DeleteObjectVersion #

data DeleteObjectVersionResponse #

Constructors

DeleteObjectVersionResponse |

#### Instances

Instances details

AsMemoryResponse DeleteObjectVersionResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type MemoryResponse DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse

Methods

loadToMemory :: DeleteObjectVersionResponse -> ResourceT IO (MemoryResponse DeleteObjectVersionResponse) #

Show DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion Methods showsPrec :: Int -> DeleteObjectVersionResponse -> ShowS # show :: DeleteObjectVersionResponse -> String # showList :: [DeleteObjectVersionResponse] -> ShowS #
ResponseConsumer DeleteObjectVersion DeleteObjectVersionResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ResponseMetadata DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjectVersion -> IORef (ResponseMetadata DeleteObjectVersionResponse) -> HTTPResponseConsumer DeleteObjectVersionResponse #

Transaction DeleteObjectVersion DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion
type MemoryResponse DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse
type ResponseMetadata DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata